<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>AsyncAwait</title>
    <style>
        *{box-sizing: border-box}
    </style>
</head>
<body>
    <p></p>
    <script>

        const uri1 = "http://www2.inf.h-bonn-rhein-sieg.de/~slimb12s/A.txt"
        const uri2 = "http://www2.inf.h-bonn-rhein-sieg.de/~slimb12s/B.txt"
        
        const concatlinewise = (_first, _second) =>
        {
            const firstArr = _first.split(/\r\n|\n/);
            const secondArr = _second.split(/\r\n|\n/);

            const iterations = Math.max(firstArr.length, secondArr.length);

            var result = "";
            for(i = 0; i < iterations; i++)
            {
                if(i < firstArr.length)
                    result+= firstArr[i] + " ";
                if(i < secondArr.length)
                    result+= secondArr[i];
                result += "<br>";
            }
            return result;
        }

        var parallel = async () =>
        {
            var fetchedData = [];

            await Promise.all([
                fetchedData.push((async () => await fetch(uri1))()),
                fetchedData.push((async () => await fetch(uri2))())
            ]);

            var fetchedConent = [];
            
            await Promise.all([
                fetchedConent.push((async () => await fetchedData[0].value.text())()),
                fetchedConent.push((async () => await fetchedData[1].value.text())()),
            ]);

            var  first = fetchedConent[0];
            var second = fetchedConent[1];
            console.log("First: " + first);
            console.log("Second: " + second);
            const text = concatlinewise(first, second);
            document.querySelector('p').innerHTML = text;
        }

        parallel();

    </script>
</body>
</html>